#Called by add_recipe.mcfunction as the interacted villager
#Used to set a price for repairing the item based on random chance


#Basic price set to 6 emerald_block
#You have a discount if only first test passes so a probability of Pdiscount*(1-Prise)
#You have a rise if only second test passes so a probability of (1-Pdiscount)*Prise
#Nothing happen if none or both tests pass so a probability of Pdiscount*Prise + (1-Pdiscount)*(1-Prise)
#Can be tweaked by adjusting probabilities

scoreboard players set price LP_Craftsmen 6
execute if predicate lordphenex:craftsmen/random/price_discount run scoreboard players remove price LP_Craftsmen 1
execute if predicate lordphenex:craftsmen/random/price_rise run scoreboard players add price LP_Craftsmen 1

execute store result storage lordphenex:craftsmen trade.buy.Count byte 1 run scoreboard players get price LP_Craftsmen

#Clearing scores
scoreboard players reset price LP_Craftsmen
