#Called by user with /function command or by clicking uninstall in datapack infos


tellraw @s { "text": "Craftsmen uninstalling", "color": "red" }

#Clearing Craftsmen
function lordphenex:craftsmen/remove/remove_all

#Clearing storage
data remove storage lordphenex:craftsmen trade
data remove storage lordphenex:craftsmen repairItem
data remove storage lordphenex:craftsmen Item
data remove storage lordphenex:craftsmen craftsman

#Clearing scoreboards
scoreboard objectives remove LP_Craftsmen

#Cleaning advancements
advancement revoke @a only lordphenex:global/craftsmen
advancement revoke @a only lordphenex:craftsmen/ask_craftsman
advancement revoke @a only lordphenex:craftsmen/ask_repair
advancement revoke @a only lordphenex:craftsmen/ask_remove

#Disabling pack
scoreboard objectives add LP_uninstall dummy
execute store success score uninstall_success LP_uninstall run datapack disable "file/Craftsmen"
execute if score uninstall_success LP_uninstall matches 0 store success score uninstall_success LP_uninstall run datapack disable "file/Craftsmen.zip"
execute if score uninstall_success LP_uninstall matches 0 store success score uninstall_success LP_uninstall run datapack disable "file/lordphenex-craftsmen"
execute if score uninstall_success LP_uninstall matches 0 store success score uninstall_success LP_uninstall run datapack disable "file/lordphenex-craftsmen.zip"
execute if score uninstall_success LP_uninstall matches 0 run tellraw @s ["",{"text":"Unable to uninstall the pack, please check datapack folder name then use following command","color":"red"},{"text":"\n"},{"text":" /datapack disable \"file/<pack_folder_name>\"","color":"aqua"}]
execute if score uninstall_success LP_uninstall matches 1 run tellraw @a [{"text":"- Craftsmen has been uninstalled","color":"green"}]
scoreboard objectives remove LP_uninstall