#Help function that displays datapack infos and help tips

tellraw @s ["",{"text":"\n"},{"text":"["},{"text":"Craftsmen","color":"yellow","clickEvent":{"action":"run_command","value":"/function #lordphenex:help"}},{"text":"]"}]
tellraw @s [{ "text": "Made by ", "color": "gray" },{ "text": "Lordphenex", "color": "green","clickEvent":{"action":"open_url","value":"https://www.planetminecraft.com/member/lordphenex/"},"hoverEvent":{"action":"show_text","contents":"Lordphenex's Planet Minecraft page"}}]
tellraw @s [{ "text": "With the use of ", "color": "gray" },{"text": "[Misode's datapack generator]", "color": "green","clickEvent":{"action":"open_url","value":"https://misode.github.io/"},"hoverEvent":{"action":"show_text","contents":"Misode's website"}}]

tellraw @s {"text": " - Right click on a master villager with the corresponding work station in your mainhand and an emerald block in your offhand while sneaking to make it become a Craftsman"}
tellraw @s {"text": " - Craftsmen have a special trade that will repair the item you're holding in your mainhand"}
tellraw @s {"text": " - The more experience a Craftsman has, the more it will repair your item"}
tellraw @s {"text": " - Repair is way harder if there are a lot of enchantments"}
tellraw @s {"text": " - Right click on a Craftsman with a paper in your mainhand and an emerald block in your offhand while sneaking to remove its repair trade"}

execute store result score loadedCraftsmen LP_Craftsmen if entity @e[type=minecraft:villager,predicate=lordphenex:craftsmen/professions/is_craftsman]

tellraw @s {"text":"[Remove all Craftsmen]","color":"gold","clickEvent":{"action":"run_command","value":"/function lordphenex:craftsmen/remove/remove_all"},"hoverEvent":{"action":"show_text","contents":["",{"text":"Click to remove all repair trade from craftsmen. It will only affect loaded craftsmen. I advise you to do it before uninstalling","color":"aqua"},{"text":"\n"},{"text":"There are currently ","color":"gray"},{"score":{"name":"loadedCraftsmen","objective":"LP_Craftsmen"},"color":"gold"},{"text":" out of ","color":"gray"},{"score":{"name":"Craftsman","objective":"LP_Craftsmen"},"color":"gold"},{"text":" Craftsmen loaded in the world","color":"gray"}]}}

tellraw @s {"text":"[Uninstall pack]\n","color":"red","clickEvent":{"action":"run_command","value":"/function lordphenex:_uninstall.craftsmen"},"hoverEvent":{"action":"show_text","contents":"Click to uninstall this pack"}}

scoreboard players reset loadedCraftsmen LP_Craftsmen